Subject: [IPsec] FW: New Version Notification for draft-mglt-ipsecme-implicit-iv-03.txt

From: Daniel Migault <[email-masked]>
Date: Wed, 21 Jun 2017 14:48:53 +0000

Hi, 

Please find an update of our draft. We have addressed the comments received on multicast and mentioned the BEAST attack as well. I believe all comments provided have been addressed, that said, as I had to merge two different versions, I might have missed something, so feel free to check. 

Yours, 
Daniel

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, June 21, 2017 10:37 AM
To: Tobias Guggemos <[email-masked]>; Daniel Migault <[email-masked]>; Yoav Nir <[email-masked]>
Subject: New Version Notification for draft-mglt-ipsecme-implicit-iv-03.txt

A new version of I-D, draft-mglt-ipsecme-implicit-iv-03.txt
has been successfully submitted by Daniel Migault and posted to the IETF repository.

Name:		draft-mglt-ipsecme-implicit-iv
Revision:	03
Title:		Implicit IV for Counter-based Ciphers in IPsec
Document date:	2017-06-20
Group:		ipsecme
Pages:		7
URL:            https://www.ietf.org/internet-drafts/draft-mglt-ipsecme-implicit-iv-03.txt
Status:         https://datatracker.ietf.org/doc/draft-mglt-ipsecme-implicit-iv/
Htmlized:       https://tools.ietf.org/html/draft-mglt-ipsecme-implicit-iv-03
Htmlized:       https://datatracker.ietf.org/doc/html/draft-mglt-ipsecme-implicit-iv-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-mglt-ipsecme-implicit-iv-03

Abstract:
   IPsec ESP sends an initialization vector (IV) or nonce in each
   packet, adding 8 or 16 octets.  Some algorithms such as AES-GCM, AES-
   CCM, AES-CTR and ChaCha20-Poly1305 require a unique nonce but do not
   require an unpredictable nonce.  When using such algorithms the
   packet counter value can be used to generate a nonce, saving 8 octets
   per packet.  This document describes how to do this.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat